Package org.eclipse.birt.core.ui.swt.custom

# Class TextComboViewer

java.lang.Object
org.eclipse.jface.viewers.Viewer
org.eclipse.jface.viewers.ContentViewer
org.eclipse.jface.viewers.StructuredViewer
org.eclipse.jface.viewers.AbstractListViewer
org.eclipse.birt.core.ui.swt.custom.TextComboViewer

All Implemented Interfaces:
  `org.eclipse.jface.viewers.IInputProvider`, `org.eclipse.jface.viewers.IInputSelectionProvider`, `org.eclipse.jface.viewers.IPostSelectionProvider`, `org.eclipse.jface.viewers.ISelectionProvider`, `org.eclipse.swt.widgets.Listener`

public class TextComboViewer extends org.eclipse.jface.viewers.AbstractListViewer implements org.eclipse.swt.widgets.Listener
TextComboViewer

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jface.viewers.StructuredViewer

`org.eclipse.jface.viewers.StructuredViewer.ColorAndFontCollector, org.eclipse.jface.viewers.StructuredViewer.ColorAndFontCollectorWithProviders`

## Field Summary

### Fields inherited from class org.eclipse.jface.viewers.Viewer

`WIDGET_DATA_KEY`

## Constructor Summary

Constructors
Constructor
Description
`TextComboViewer(TextCombo list)`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.swt.widgets.Control`
`getControl()`
`void`
`handleEvent(org.eclipse.swt.widgets.Event event)`
`protected void`
`listAdd(String string, int index)`
`protected void`
`listDeselectAll()`
`protected int`
`listGetItemCount()`
`protected int[]`
`listGetSelectionIndices()`
`protected void`
`listRemove(int index)`
`protected void`
`listRemoveAll()`
`protected void`
`listSetItem(int index, String string)`
`protected void`
`listSetItems(String[] labels)`
`protected void`
`listSetSelection(int[] ixs)`
`protected void`
`listShowSelection()`
`void`
`reveal(Object element)`

### Methods inherited from class org.eclipse.jface.viewers.AbstractListViewer

`add, add, doFindInputItem, doFindItem, doUpdateItem, getElementAt, getLabelProvider, getSelectionFromWidget, indexForElement, inputChanged, insert, internalRefresh, listGetTopIndex, listSetTopIndex, remove, remove, setLabelProvider, setSelectionToWidget`

### Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, assertContentProviderType, assertElementsNotNull, associate, buildLabel, disassociate, equals, filter, findItem, findItems, fireDoubleClick, fireOpen, firePostSelectionChanged, getColorAndFontCollector, getComparator, getComparer, getFilteredChildren, getFilters, getItem, getRawChildren, getRoot, getSelection, getSortedChildren, getSorter, getStructuredSelection, handleDispose, handleDoubleSelect, handleInvalidSelection, handleLabelProviderChanged, handleOpen, handlePostSelect, handleSelect, hasFilters, hookControl, internalRefresh, internalUpdate, mapElement, needsRefilter, preservingSelection, refresh, refresh, refresh, refresh, refreshItem, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setContentProvider, setFilters, setInput, setSelection, setSelectionToWidget, setSorter, setUseHashlookup, testFindItem, testFindItems, unmapAllElements, unmapElement, unmapElement, update, update, updateItem, updateSelection, usingElementMap`

### Methods inherited from class org.eclipse.jface.viewers.ContentViewer

`getContentProvider, getInput, labelProviderChanged`

### Methods inherited from class org.eclipse.jface.viewers.Viewer

`addHelpListener, addSelectionChangedListener, fireHelpRequested, fireSelectionChanged, getData, handleHelpRequest, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider

`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

## Constructor Details

### TextComboViewer

public TextComboViewer(TextCombo list)

## Method Details

### handleEvent

public void handleEvent(org.eclipse.swt.widgets.Event event)

Specified by:
  `handleEvent` in interface `org.eclipse.swt.widgets.Listener`

### listAdd

protected void listAdd(String string, int index)

Specified by:
  `listAdd` in class `org.eclipse.jface.viewers.AbstractListViewer`

### listSetItem

protected void listSetItem(int index, String string)

Specified by:
  `listSetItem` in class `org.eclipse.jface.viewers.AbstractListViewer`

### listGetSelectionIndices

protected int[] listGetSelectionIndices()

Specified by:
  `listGetSelectionIndices` in class `org.eclipse.jface.viewers.AbstractListViewer`

### listGetItemCount

protected int listGetItemCount()

Specified by:
  `listGetItemCount` in class `org.eclipse.jface.viewers.AbstractListViewer`

### listSetItems

protected void listSetItems(String[] labels)

Specified by:
  `listSetItems` in class `org.eclipse.jface.viewers.AbstractListViewer`

### listRemoveAll

protected void listRemoveAll()

Specified by:
  `listRemoveAll` in class `org.eclipse.jface.viewers.AbstractListViewer`

### listRemove

protected void listRemove(int index)

Specified by:
  `listRemove` in class `org.eclipse.jface.viewers.AbstractListViewer`

### getControl

public org.eclipse.swt.widgets.Control getControl()

Specified by:
  `getControl` in class `org.eclipse.jface.viewers.Viewer`

### reveal

public void reveal(Object element)

Specified by:
  `reveal` in class `org.eclipse.jface.viewers.StructuredViewer`

### listSetSelection

protected void listSetSelection(int[] ixs)

Specified by:
  `listSetSelection` in class `org.eclipse.jface.viewers.AbstractListViewer`

### listDeselectAll

protected void listDeselectAll()

Specified by:
  `listDeselectAll` in class `org.eclipse.jface.viewers.AbstractListViewer`

### listShowSelection

protected void listShowSelection()

Specified by:
  `listShowSelection` in class `org.eclipse.jface.viewers.AbstractListViewer`